<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="4.0">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>9.0.30729</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{5F15837D-D1E5-44DC-92F0-4F2EBE9C3F8D}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>EntityFirst.Module</RootNamespace>
    <AssemblyName>EntityFirst.Module</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
    <OldToolsVersion>3.5</OldToolsVersion>
    <TargetFrameworkProfile />
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'EasyTest|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\EasyTest\</OutputPath>
    <DefineConstants>TRACE;DEBUG;EASYTEST</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="DevExpress.Charts.v14.2.Core, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.DataAccess.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    <Reference Include="DevExpress.ExpressApp.EF.45.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.ExpressApp.Objects.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.ExpressApp.ReportsV2.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.ExpressApp.TreeListEditors.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    <Reference Include="DevExpress.ExpressApp.Validation.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.ExpressApp.ViewVariantsModule.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Office.v14.2.Core, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Persistent.BaseImpl.EF.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.PivotGrid.v14.2.Core, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Printing.v14.2.Core">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Data.v14.2">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.ExpressApp.v14.2">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Persistent.Base.v14.2">
      <SpecificVersion>False</SpecificVersion>
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.RichEdit.v14.2.Core, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Sparkline.v14.2.Core, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Utils.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.Xpo.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" />
    <Reference Include="DevExpress.XtraCharts.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraGauges.v14.2.Core, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a, processorArchitecture=MSIL">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraReports.v14.2, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a">
      <Private>True</Private>
    </Reference>
    <Reference Include="DevExpress.XtraReports.v14.2.Extensions, Version=14.2.4.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a">
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework">
      <HintPath>..\packages\EntityFramework.6.1.2\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer">
      <HintPath>..\packages\EntityFramework.6.1.2\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.ComponentModel.DataAnnotations">
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Drawing">
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Web" />
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
      <Private>True</Private>
    </Reference>
    <Reference Include="Xafari, Version=14.2.407.0, Culture=neutral, PublicKeyToken=b5573042f1727a10" />
    <Reference Include="Xafari.Editors, Version=14.2.407.0, Culture=neutral, PublicKeyToken=b5573042f1727a10, processorArchitecture=MSIL" />
    <Reference Include="Xafari.Utils, Version=14.2.407.0, Culture=neutral, PublicKeyToken=b5573042f1727a10" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BusinessObjects\CustomDbConfiguration.cs" />
    <Compile Include="BusinessObjects\Employee.cs" />
    <Compile Include="BusinessObjects\EmployeeConfiguration.cs" />
    <Compile Include="BusinessObjects\EmployeeTransactions.cs" />
    <Compile Include="BusinessObjects\EmployeeTransactionsConfiguration.cs" />
    <Compile Include="BusinessObjects\Empl_work_dates.cs" />
    <Compile Include="BusinessObjects\Empl_work_datesConfiguration.cs" />
    <Compile Include="BusinessObjects\EntityFirstDbContext.cs" />
    <Compile Include="BusinessObjects\TenantAwareAttribute.cs" />
    <Compile Include="Controllers\CompanyController.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Controllers\CompanyController.Designer.cs">
      <DependentUpon>CompanyController.cs</DependentUpon>
    </Compile>
    <Compile Include="Global_Attributes.cs" />
    <Compile Include="Interceptors\TenantCommandInterceptor.cs" />
    <Compile Include="Interceptors\TenantCommandTreeInterceptor.cs" />
    <Compile Include="Migrations\Configuration.cs" />
    <Compile Include="BusinessObjects\TaxAuthorityMap.cs" />
    <Compile Include="BusinessObjects\TaxAuthority.cs" />
    <Compile Include="Module.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Module.Designer.cs">
      <DependentUpon>Module.cs</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="DatabaseUpdate\Updater.cs" />
    <Compile Include="Reports\Employee_Status_Report.cs">
      <SubType>Component</SubType>
    </Compile>
    <Compile Include="Reports\Employee_Status_Report.Designer.cs">
      <DependentUpon>Employee_Status_Report.cs</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Controllers\CompanyController.resx">
      <DependentUpon>CompanyController.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Model.DesignedDiffs.xafml" />
    <EmbeddedResource Include="Module.resx">
      <SubType>Designer</SubType>
      <DependentUpon>Module.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\licenses.licx" />
    <EmbeddedResource Include="Reports\Employee_Status_Report.resx">
      <DependentUpon>Employee_Status_Report.cs</DependentUpon>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <None Include="DatabaseUpdate\ReadMe.txt" />
  </ItemGroup>
  <ItemGroup>
    <None Include="FunctionalTests\ReadMe.txt" />
  </ItemGroup>
  <ItemGroup>
    <None Include="FunctionalTests\sample.ets" />
    <None Include="Images\ReadMe.txt" />
    <EmbeddedResource Include="Model.DesignedDiffs.Localization.el.xafml">
      <DependentUpon>Model.DesignedDiffs.xafml</DependentUpon>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <None Include="packages.config">
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <None Include="FunctionalTests\config.xml" />
  </ItemGroup>
  <ItemGroup>
    <None Include="UnusableNodes_el.xml">
      <DependentUpon>Model.DesignedDiffs.xafml</DependentUpon>
      <SubType>Designer</SubType>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Content Include="script.sql">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>